Bug 53903 - Final Fix - Will not install past this point.
Final Fix - Will not install past this point.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-21 00:02 EDT by Eric
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 13:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric 2001-09-21 00:02:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
After choosing which installation at "Install or Upgrade," I receive an 
error that the partition table on hda is corrupted.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. No special steps to reproduce.  Just attempt install as normal.
2.
3.
	

Actual Results:  First message: The partition table on device hda is 
corrupted. To create new partitions it must be initialized, causing the 
loss of ALL data on this drive.  You either have to press "Inititialize" 
or "Skip."  Pressing "Intitialize" does not, it "loops" back to the above 
phrase.  Skipping kills the install.

Expected Results:  Should be able to partition and install RHL 7.1.

Additional info:

First off, I have two hard drives 1. Western Digital 40GB (where I'm 
trying to install RHL 7.1) and 2. Maxtor Diamond Max 46GB.  Windows 98 SE 
installs with no problems on both drives.  I also have the Romtec Trios 
drive selector.  I have already tried to install RHL 7.1 with out it with 
the same results.

Second:  During the install when the text is flashing down the screen, I 
am able to see this - I/O error dev 3a (hda) sector 0 unable to read 
partition.

This is what I've done:  

1.  From the Win98 start disk: I used fdisk to partition the HD prior to 
install.  The partition(s) are always wiped from the HD.  The start disk 
gives an error about no fixed C: drive.  I have also used the 
command "fdisk /mbr" to fix the Master Boot Record.  No help to install 
Linux but Windows still works.

2.  I downloaded a copy of the free dos fdisk and tried the same as 
above.  When displaying the partition information (4), I get different 
results with a four partition pattern.
Part.  Status  Mbytes  Description  Usage  StartCyl  EndCyl
1  68     A    682122    Unknown     100%   21422    -22693
2   --------  Same  --------
3   --------  Same  --------
4   --------  Same  --------
Second time I wrote it down I got this.
1  64     A    2048    Venix80286     5%     261       521
Same as above, four partitions listed.

3.  I called Red Hat Tech Support and spoke to Jeff Abbott.  After a few 
intro questions, he suggested that I type the command "linux ide=nodma" at 
the initial boot prompt (boot disk).  This did not work.  We tried to 
install RHL7.1 on both drives, removing memory, and a number of different 
keyboard commands.  One error he stated wasn't normal was the bad CRC 
after trying initialize the HD.  To this he suggested that I try the 
Promise ATA 66 Controller instead of using the motherboard ide ports for 
install (I'll try this this weekend).  Also we looked at BIOS updates, 
none for mine at Abit's site.

My system's stats:
Motherboard - Abit VP6
Processors - Intel 1GH
Memory - 2GB (four 512MB sticks)
Romtec Trios HD Selector
HD#1 - Maxtor Diamond Max 46GB
HD#2 - Western Digital 40GB
2 CDRom Drives - Generic 56X
Phillips CDRW 404
300W Power Supply
Microsoft Natural Keyboard
PS/2 Mouse

TIA
Eric
Comment 1 Brent Fox 2001-09-21 12:05:52 EDT
Can you try booting with 'linux ide=nodma noprobe'?

It sounds like the partition table on your drive is messed up somehow.  The fact
that the free dos fdisk that you downloaded gives you different results when you
run it different times is a little confusing.  Especially the part above where
the ending cylinder is -22693.  Negative ending cylinders don't make much sense
to me.  It's also possible that the hard drive is going bad.
Comment 2 Eric 2001-09-23 17:20:53 EDT
"linux ide=nodma noprobe" worked! 

I have a new problem now.  It begins to format the partitions then locks-up at 
the "Install Packages" screen.  I've tried different partition layouts and 
cleaned the HD with Win98's fdisk.  Fdisk /mbr too.  Now to search for more 
info.

TIA
Eric
Comment 3 Eric 2001-09-23 22:30:35 EDT
*Update*

It will format now. Good.

It locks-up when loading the install image. Bad.

It's getting closer....  It'll get anywhere between half and three-quarters of 
the progress bar before it stops.  I've checked the CD, no physical problem. I 
have also tried the different install methods.

TIA
Eric
Comment 4 Brent Fox 2001-09-24 11:45:13 EDT
So when it stops, do you see any interesting messages on VC4 or VC5?  It's still
possible that something's wrong with the hard drive, because you are seeing some
very strange behavior.
Comment 5 Brent Fox 2001-10-04 10:12:15 EDT
Any more info here?
Comment 6 Eric 2001-10-04 21:31:48 EDT
I haven't written to you guys in a while, here's what I've been doing to get 
linux installed.
 
As stated previously, I bought an ATA 66 card.  It came with it's own cable and 
I bought another, two IDE cables total.  I took my computer apart and 
disconnected everything. No TriOS. The sound card is a Creative X-Gamer 5.1.  
These are the configurations that I put it back together to and tried to 
install.

One 512mb stick, new cables, AGP video card, NIC, Modem, WD HD, 3.5 floppy, and 
sound card.
Two 512mb sticks, new cables, AGP video card, NIC, Modem, WD HD, 3.5 floppy, 
and sound card.
Three 512mb sticks, new cables, AGP video card, NIC, Modem, WD HD, 3.5 floppy, 
and sound card.
Four 512mb sticks, new cables, AGP video card, NIC, Modem, WD HD, 3.5 floppy, 
and sound card.

This is the basic troubleshooting layout I used with and without the ATA 66 
card.  I did this with the Maxtor HD.  I also have a generic 4MB PCI video card 
that I tried.  I tried this with one and both CD's installed.  Further on I 
also took the NIC, Modem, and sound card out of the equation with both sets of 
HD's and video cards.  I did try switching the IDE cable placement with all the 
configurations.  I have also taken out the CPUs.  This was a last resort:

One (two, three, four) 512mb stick(s), two new cables, video card, HD, floppy, 
CPU#1.

With (out) the ATA 66 card, etc...

With the two new IDE cables I did not get the error for formatting the hard 
drives. I did not see the I/O error dev 3a (hda) during the flashing boot 
text.  I inspected my original cables and didn't notice anything wrong.  The 
lines "linux  ide=nodma" and "linux ide=nodma noprobe" are not needed now.

During all of the above configurations I got the same error at the same place.  
During the final setup after formatting the hard drives the installer transfers 
the "image" or copies the needed files.  It gets halfway to three-quarters and 
freezes.  The only way out is to reboot the computer.

Any ideas?



One final thing I was thinking of: Trying to install RHL 7.1 on another 
computer with my HD in it.  Then move the HD back to my computer (if it 
installs).  I've done it with windows in the past but I'm clueless about 
linux's setup.  I also did not understand the "interesting messages on VC4 or 
VC5" comment.

TIA!

Eric
Comment 7 Brent Fox 2001-10-05 11:28:42 EDT
Oh, ok.  When the crash occurs, press <Ctrl><Alt><F4>.  This will bring up VC4
(or virtual terminal #4).  This is where the kernel sends it's debugging info
during the install.  Look there and see if you see anything that relates to the
hard drive or cdrom drive.  Does that help?
Comment 8 Eric 2001-10-08 22:01:16 EDT
Hello, I tried pressing <Ctlr><Alt><F4> after it locked-up. Nothing but a re-
boot would get any results.  When I got back in the installer, I pressed 
<Ctlr><Alt><F4> as it was formating the partitions. This is what was on the 
screen when it locked-up.


<6>cdrom: open failed
<6>cdrom: open failed
<6>cdrom: open failed
<6>cdrom: open failed
<6>cdrom: open failed
<6>cdrom: open failed
<6>cdrom: open failed
<6>hda: hda1 hda2 < hda5 hda6 hda7 hda8 hda9 hda10 >
<6>hda: hda1 hda2 < hda5 hda6 hda7 hda8 hda9 hda10 >
<6>cdrom: open failed
<6>cdrom: open failed
<6>Adding swap: 1542200k swap-space (priority -1)
Oops: 0000
Cpu:    0
EIP: 0010:[<c0110ad7>]
EFLAGS: 00010087
eax:dff60478 ebx:9ff6047c ecx:00000001 edx:dff6047c
esi:c187d43c edi:9ff60474 ebp:c0241cb8 esp:c0241c9c
ds:0018 es:0018 ss:0018
Process swapper (pid: 0, stackpage=c0241000)
Stack: dff6047c 00000001 00000086 00000003 dff60430 c187d43c 00000002 dff60478
c012f8d8 dff60430 f7be46c0 00000004 00000001 c01581c0 dff60430 00000001
f7be46c0 c1f3e560 00000202 c028ce90 c017c3d8 f7be46c0 00000001 c028cf80
Call trace: [<c012f8d8>] [<c01581c0>] [<c017c3d8>] [<fc809abb>] [<c011966a>] 
[<c011953a>] [<c01197bc>]
[<c010cffd>] [<c011966a>] [<c019966a>] [<c011953a>] [<c01197bc>] [<c011966a>] 
[<c017c389>] [<fc809959>]
[<fc809a10>] [<fc809748>] [<fc809f86>] [<fc809a10>] [<c01860ff>] [<fc809e68>] 
[<fc8098da>] [<fc80a198>]
[<fc809e68>] [<fc80a8a1>] [<c017d3f4>] [<c017daf8>] [<fc809a10>] [<c010a019>] 
[<c010a068>] [<c0107210>]
[<c0108f58>] [<c0107210>] [<c0107233>] [<c010729a>] [<c0105000>] [<c0100191>]
Code: 8b 4f 04 8b 01 85 45 f0 8b 1b 74 50 31 c0 9c 5e fa c7 01 00
Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing

The spacing may be a little off. I don't understand what this line means - 
<6>cdrom: open failed. It's installing from the cd. Also - Cpu:  0, I have 
two.  When prompted, I have tried the default kernel along with the other three 
with the same results.

TIA
Eric
Comment 9 Eric 2001-10-12 14:43:23 EDT
Hello, I've been doing some net searches on the lines above.  Everything I've 
found so far deals with linux already installed.  I haven't found anything that 
is similar. The search continues...

TIA!

Eric
Comment 10 Brent Fox 2001-10-15 17:42:59 EDT
This looks like a kernel issue, so I'm changing component to the kernel.
Comment 11 Eric 2001-10-16 14:07:28 EDT
Hello,  - Net search update -

So far virtually everything I've found deals with linux already installed.

I found one page that did deal with linux install. At the initial command line 
you type "mem=8, mem=16, mem 24, etc." 
http://wylug.org.uk/pipermail/wylug-help/2000-December/001024.html 
It was the first choice from this search:
http://www.google.com/search?
hl=en&q=linux+interrupt+handler+not+syncing+install+mem

It hasn't worked yet (mem=96).

TIA!
Eric
Comment 12 Eric 2001-10-31 14:06:46 EST
Hello, Any other ideas? I have went through all the memory "configs" and have 
gotten the same results. I still haven't found a workable sugestion on the net 
to get RH 7.1 installed. Are there any other installation suggestions that 
might help?

TIA!
Eric
Comment 13 Eric 2001-11-05 22:58:08 EST
Hello, I still don't have this working yet. What does this mean:

Oops: 0000
Cpu:    0
EIP: 0010:[<c0110ad7>]
EFLAGS: 00010087
eax:dff60478 ebx:9ff6047c ecx:00000001 edx:dff6047c
esi:c187d43c edi:9ff60474 ebp:c0241cb8 esp:c0241c9c
ds:0018 es:0018 ss:0018
Process swapper (pid: 0, stackpage=c0241000)
Stack: dff6047c 00000001 00000086 00000003 dff60430 c187d43c 00000002 dff60478
c012f8d8 dff60430 f7be46c0 00000004 00000001 c01581c0 dff60430 00000001
f7be46c0 c1f3e560 00000202 c028ce90 c017c3d8 f7be46c0 00000001 c028cf80
Call trace: [<c012f8d8>] [<c01581c0>] [<c017c3d8>] [<fc809abb>] [<c011966a>] 
[<c011953a>] [<c01197bc>]
[<c010cffd>] [<c011966a>] [<c019966a>] [<c011953a>] [<c01197bc>] [<c011966a>] 
[<c017c389>] [<fc809959>]
[<fc809a10>] [<fc809748>] [<fc809f86>] [<fc809a10>] [<c01860ff>] [<fc809e68>] 
[<fc8098da>] [<fc80a198>]
[<fc809e68>] [<fc80a8a1>] [<c017d3f4>] [<c017daf8>] [<fc809a10>] [<c010a019>] 
[<c010a068>] [<c0107210>]
[<c0108f58>] [<c0107210>] [<c0107233>] [<c010729a>] [<c0105000>] [<c0100191>]
Code: 8b 4f 04 8b 01 85 45 f0 8b 1b 74 50 31 c0 9c 5e fa c7 01 00
Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing

From looking around the net, it's supposed to help point to the problem(s). 
However I haven't been able to pin-point anything. The price of being new.

I did go back to Abit's web site and found out there are now two BIOS updates. 
Update #1 (wk - Jan 17, 2001) and #2 (yt - Jul 24, 2001) both installed fine. 
At the beginning of the problem, I see the Abit didn't update there site. After 
each update I tried to install RHL 7.1 and got the same "print-out."

I'm also wondering if Red Hat will ever install. Aug 21st is over two months 
ago.

TIA
Eric
Comment 14 Eric 2001-11-18 21:06:35 EST
Hello, Linux is installed. WOOHOO!

This is what I did:

I went to Best Buy and purchased Suse 7.3 Professional for $75.76 (Red Hat 7.1 
Deluxe Workstation was $86.59, both with tax). I installed it WITHOUT ANY 
PROBLEMS. Suse 7.3 recognized everything but my modem. I'll still use Win98 for 
the net but a little reading will hopefully change that.

What am I going to do with the Red Hat set? How do I get the $86.59 back into 
my pocket? Simple, Christmas is around the corner.

Thanks.....
Eric
Comment 15 Mike McLean 2003-01-02 13:45:52 EST
This bug has been inappropriately marked MODIFIED. Please review the bug life
cycle information at 
http://bugzilla.redhat.com/bugzilla/bug_status.cgi

Changing bug status to ASSIGNED.
Comment 16 Mike McLean 2004-06-10 13:01:06 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.